#ifndef __Disk_h__
#define __Disk_h__

class Disk {

	public:
		Disk(const char * filename);
		~Disk();
		int write(const char * n, int size, long position);
		int read(char * n, int size, long position);
		long getFreeDiskBlock(long length);

	private:
		FILE * out;
		FILE * in;
		long diskSize;
};

#endif
